<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSipTrunkReq StructType
 * @subpackage Structs
 */
class AddSipTrunkReq extends APIRequest
{
    /**
     * The sipTrunk
     * @var XSipTrunk
     */
    public $sipTrunk;
    /**
     * Constructor method for AddSipTrunkReq
     * @uses AddSipTrunkReq::setSipTrunk()
     * @param XSipTrunk $sipTrunk
     */
    public function __construct(XSipTrunk $sipTrunk = null)
    {
        $this
            ->setSipTrunk($sipTrunk);
    }
    /**
     * Get sipTrunk value
     * @return XSipTrunk|null
     */
    public function getSipTrunk()
    {
        return $this->sipTrunk;
    }
    /**
     * Set sipTrunk value
     * @param XSipTrunk $sipTrunk
     * @return AddSipTrunkReq
     */
    public function setSipTrunk(XSipTrunk $sipTrunk = null)
    {
        $this->sipTrunk = $sipTrunk;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSipTrunkReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
